Commit 21c1a639 authored by Akim Demaille's avatar Akim Demaille
Browse files

Set up a test framework for TAF-Kit.

	* src/taf-kit: Move too...
	* taf-kit/src: here.
	* taf-kit/tests: New.
	* taf-kit/tests/defs.in: New.
	* taf-kit/tests/vcsn-b.test: New.
	* taf-kit/tests/Makefile.am: New.
	* taf-kit/Makefile.am: New.

	* src/Makefile.am, configure.ac, Makefile.am: Adjust.
parent 571ce835
2006-06-07 Akim Demaille <akim@lrde.epita.fr>
Set up a test framework for TAF-Kit.
* src/taf-kit: Move too...
* taf-kit/src: here.
* taf-kit/tests: New.
* taf-kit/tests/defs.in: New.
* taf-kit/tests/vcsn-b.test: New.
* taf-kit/tests/Makefile.am: New.
* taf-kit/Makefile.am: New.
* src/Makefile.am, configure.ac, Makefile.am: Adjust.
2006-06-07 Akim Demaille <akim@lrde.epita.fr>
Fix a1.xml, b1.xml, c1.xml.
......
......@@ -11,7 +11,7 @@
##
## The Vaucanson Group consists of people listed in the `AUTHORS' file.
SUBDIRS = argp include src doc build-aux debian
SUBDIRS = argp include src taf-kit doc build-aux debian
EXTRA_DIST = vaucanson.spec ChangeLog.1 ChangeLog.2
###
......
......@@ -140,15 +140,26 @@ AC_CHECK_PROGS([RST2HTML], [rst2html rst2html.py], [$am_aux_dir/missing rst2html
AC_ARG_VAR([TAR], [the tape archiver program])
AC_CHECK_PROGS([TAR], [tar], [$am_aux_dir/missing tar])
##
## generate files.
##
## ------- ##
## TAF-Kit ##
## ------- ##
AC_CONFIG_FILES([
taf-kit/Makefile
taf-kit/src/Makefile
taf-kit/tests/Makefile
taf-kit/tests/defs
])
## ---------------- ##
## generate files. ##
## ---------------- ##
AC_CONFIG_FILES([
Makefile
build-aux/Makefile
src/Makefile
src/taf-kit/Makefile
src/tests/Makefile
src/tests/check/Makefile
src/tests/check/defs
......
......@@ -14,8 +14,7 @@
SUBDIRS = tests \
benchs \
demos \
$(VCSN_VAUCANSWIG_SUBDIR) \
taf-kit
$(VCSN_VAUCANSWIG_SUBDIR)
.PHONY: demos benchs
......
## Vaucanson, a generic library for finite state machines.
## Copyright (C) 2001, 2002, 2003, 2004, 2005, 2006 The Vaucanson Group.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## The complete GNU General Public Licence Notice can be found as the
## `COPYING' file in the root directory.
##
## The Vaucanson Group consists of people listed in the `AUTHORS' file.
## -I directories are consulted in the same order as the command
## line, so put build dirs first.
AM_CPPFLAGS = \
......
## Vaucanson, a generic library for finite state machines.
## Copyright (C) 2006 The Vaucanson Group.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## The complete GNU General Public Licence Notice can be found as the
## `COPYING' file in the root directory.
##
## The Vaucanson Group consists of people listed in the `AUTHORS' file.
SUBDIRS = src tests
## Vaucanson, a generic library for finite state machines.
## Copyright (C) 2001, 2002, 2003, 2004, 2005, 2006 The Vaucanson Group.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## The complete GNU General Public Licence Notice can be found as the
## `COPYING' file in the root directory.
##
## The Vaucanson Group consists of people listed in the `AUTHORS' file.
include $(top_srcdir)/src/vaucanson.mk
# VCSN_USE_XML doesn't need to be checked as VCSN_TAF_KIT
# is not enabled if the former isn't.
......
## Vaucanson, a generic library for finite state machines.
## Copyright (C) 2001, 2002, 2003, 2004, 2005, 2006 The Vaucanson Group.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## The complete GNU General Public Licence Notice can be found as the
## `COPYING' file in the root directory.
##
## The Vaucanson Group consists of people listed in the `AUTHORS' file.
XFAIL_TESTS =
TESTS = \
vcsn-b.test
EXTRA_DIST = $(TESTS)
# Each test case depends on defs.
check_SCRIPTS = defs
distclean-local:
-rm -rf testSubDir
# -*- shell-script -*-
# @configure_input@
#
# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2006
# Free Software Foundation, Inc.
#
# This file is part of Vaucanson.
# This file was part of GNU Automake.
#
# GNU Automake is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Automake is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Automake; see the file COPYING. If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301, USA.
# Be Bourne compatible.
# (Snippet copied from configure's initialization in Autoconf 2.57.)
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
emulate sh
NULLCMD=:
# Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
# is contrary to our usage. Disable this feature.
alias -g '${1+"$@"}'='"$@"'
elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
set -o posix
fi
# Ensure we are running from the right directory.
test -f ./defs || {
echo "defs: not found in current directory" 1>&2
exit 1
}
# If srcdir is not set, then we are not running from `make check', be verbose.
if test -z "$srcdir"; then
VERBOSE=x
# compute $srcdir.
srcdir=`echo "$0" | sed -e 's,/[^\\/]*$,,'`
test $srcdir = $0 && srcdir=.
fi
# Always use an absolute srcdir. Otherwise symlinks made in subdirs
# of the test dir just won't work.
case "$srcdir" in
[\\/]* | ?:[\\/]*)
;;
*)
srcdir=`CDPATH=: && cd "$srcdir" && pwd`
;;
esac
# Ensure $srcdir and $top_srcdir are set correctly.
test -f $srcdir/defs.in || {
echo "$srcdir/defs.in not found, check \$srcdir" 1>&2
exit 1
}
top_srcdir=$(cd $srcdir/../.. && pwd)
test -f $top_srcdir/configure.ac || {
echo "$top_srcdir/configure.ac not found, check \$top_srcdir" 1>&2
exit 1
}
me=`echo "$0" | sed -e 's,.*[\\/],,;s/\.test$//'`
# See how redirections should work. User can set VERBOSE to see all
# output.
test -z "$VERBOSE" && {
exec > /dev/null 2>&1
}
# Make sure we override the user shell.
SHELL='@SHELL@'
export SHELL
# POSIX no longer requires 'egrep' and 'fgrep',
# but some hosts lack 'grep -E' and 'grep -F'.
EGREP='@EGREP@'
FGREP='@FGREP@'
test -z "$VCSN_B" && VCSN_B=`cd ../src && pwd`/vcsn-b
test -z "$VCSN_XSD_PATH" && export VCSN_XSD_PATH=$top_srcdir/src/vaucanson.xsd
echo $PATH
# Some shells forget to export modified environment variables.
# (See note about `export' in the Autoconf manual.)
export PATH
# User can override various tools used.
test -z "$PERL" && PERL='@PERL@'
if test -n "$required"
then
for tool in $required
do
# Check that each required tool is present.
case $tool in
# Generic case: the tool must support --version.
*)
echo "$me: running $tool --version"
( $tool --version ) || exit 77
;;
esac
done
fi
## ---------- ##
## Automata. ##
## ---------- ##
automata_dir=$top_srcdir/src/demos/automaton_library
a1=$automata_dir/a1.xml
b1=$automata_dir/b1.xml
c1=$automata_dir/c1.xml
## ---------- ##
## Test dir. ##
## ---------- ##
chmod -R a+rwx testSubDir > /dev/null 2>&1
rm -rf testSubDir > /dev/null 2>&1
mkdir testSubDir
cd ./testSubDir
echo "=== Running test $0"
# Turn on shell traces when VERBOSE is set.
if test -n "$VERBOSE"; then
set -x
else
:
fi
pwd
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment